﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using System.Data;
using System.Web.Script.Serialization;

namespace EJGrid.Controllers
{
    
    public class HomeController : Controller
    {
        IEnumerable Data = GetData();
        public static List<Orders> order = new List<Orders>();
       
        public ActionResult Index()
        {
            ViewBag.datasource1 = GetData();
            var DataSource = GetDataTale();
            var datalist = DataTableToJSON(DataSource);
            ViewBag.datasource2 = datalist;
            return View();
        }
       
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        private DataTable GetDataTale()
        {
            DataTable dt = new DataTable("Table");
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id", typeof(int)),
                            new DataColumn("Value", typeof(int)),
                            new DataColumn("Country",typeof(string)) });
            dt.Rows.Add(1, 4, "Italy");
            dt.Rows.Add(2, 2, "India");
            dt.Rows.Add(3, 4, "France");
            dt.Rows.Add(4,6, "Russia");
            dt.Rows.Add(5, 7, "Russia");
            dt.Rows.Add(2, 5, "Germany");
            dt.Rows.Add(5, 3, "France");
            dt.Rows.Add(5, 4, "Russia");
            dt.Rows.Add(1, 6, "India");
            dt.Rows.Add(3, 8, "France");
            dt.Rows.Add(2, 1, "Russia");
            dt.Rows.Add(7, 6, "France");
            dt.Rows.Add(9, 2, "Germany");
            dt.Rows.Add(5, 3, "France");
            dt.Rows.Add(5, 3, "Italy");
            dt.Rows.Add(5, 2, "Russia");
            dt.Rows.Add(2, 7, "India");
            dt.Rows.Add(2, 8, "Paris");
            dt.Rows.Add(2, 9, "Germany");

            return dt;
        }
        public static List<Orders> GetData()
        {
            int code = 10;
            for (int i = 1; i <=1; i++)
            {
                order.Add(new Orders(1,  i + 0, 2));
                order.Add(new Orders(4,  i + 2, 7));
                order.Add(new Orders(2,  i + 1, 3));
                order.Add(new Orders(6,  i + 3,2));
               
                code += 1;
            }

            return order;
        }
        public static object DataTableToJSON(DataTable Table)
        {
            var list = new List<Dictionary<string, object>>();

            foreach (DataRow row in Table.Rows)
            {
                var dict = new Dictionary<string, object>();

                foreach (DataColumn col in Table.Columns)
                {
                    dict[col.ColumnName] = (Convert.ToString(row[col]));
                }
                list.Add(dict);
            }
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            string serialize = serializer.Serialize(list);
            var data = serializer.Deserialize<IEnumerable<object>>(serialize);

            return data;
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, int EmployeeId, int Freight)
            {
                this.OrderID = OrderId;
               
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
               
            }
            public long OrderID { get; set; }
           
            public int EmployeeID { get; set; }
            public int Freight { get; set; }
            
        }
    }
}